package tls

  1. Overview
  2. Docs
Transport Layer Security purely in OCaml

Install

Dune Dependency

Authors

Maintainers

Sources

tls-v0.11.0.tbz
sha256=e0e3cda664bbb510afd1f40a3c499326c02e2955785558e2d857e5ab4da445c5
sha512=1cf424a19a103ac8e0dcbae3673ebc5f774a867500cb12485d06a10f8af28580800e0a61e21da62ce7f695d695a03cad06f954930ef3b86f85b22fdae0c977d0

Description

Transport Layer Security (TLS) is probably the most widely deployed security protocol on the Internet. It provides communication privacy to prevent eavesdropping, tampering, and message forgery. Furthermore, it optionally provides authentication of the involved endpoints. TLS is commonly deployed for securing web services (HTTPS), emails, virtual private networks, and wireless networks.

TLS uses asymmetric cryptography to exchange a symmetric key, and optionally authenticate (using X.509) either or both endpoints. It provides algorithmic agility, which means that the key exchange method, symmetric encryption algorithm, and hash algorithm are negotiated.

Read further and our Usenix Security 2015 paper.

Tags

org:mirage

Published: 13 Mar 2020

README

TLS - Transport Layer Security purely in OCaml

v0.11.0 Transport Layer Security (TLS) is probably the most widely deployed security protocol on the Internet. It provides communication privacy to prevent eavesdropping, tampering, and message forgery. Furthermore, it optionally provides authentication of the involved endpoints. TLS is commonly deployed for securing web services (HTTPS), emails, virtual private networks, and wireless networks.

TLS uses asymmetric cryptography to exchange a symmetric key, and optionally authenticate (using X.509) either or both endpoints. It provides algorithmic agility, which means that the key exchange method, symmetric encryption algorithm, and hash algorithm are negotiated.

Read further and our Usenix Security 2015 paper.

Documentation

API documentation

Installation

opam install tls will install this library.

Dependencies (15)

  1. ptime >= "0.8.1"
  2. lwt >= "3.0.0"
  3. fmt
  4. domain-name >= "0.3.0"
  5. x509 >= "0.10.0" & < "0.11.0"
  6. mirage-crypto-rng < "0.11.0"
  7. mirage-crypto-pk
  8. mirage-crypto < "0.8.1"
  9. sexplib
  10. cstruct-sexp
  11. cstruct >= "4.0.0" & < "6.0.0"
  12. ppx_cstruct >= "3.0.0"
  13. ppx_sexp_conv >= "v0.9.0"
  14. dune >= "1.0"
  15. ocaml >= "4.07.0" & < "4.12.0"

Dev Dependencies (2)

  1. ounit with-test & >= "2.2.0"
  2. cstruct-unix with-test & >= "3.0.0"

Used by (43)

  1. aws-s3-lwt < "3.0.0"
  2. azure-cosmos-db >= "0.1.5" & < "0.2.0"
  3. calculon < "0.5"
  4. capnp-rpc-lwt >= "0.3.1" & < "0.5.0"
  5. capnp-rpc-net < "1.1"
  6. caqti >= "2.1.1"
  7. caqti-mirage >= "2.1.1"
  8. caqti-tls
  9. colombe < "0.2.0"
  10. comby < "1.7.0"
  11. conduit-mirage >= "2.1.0" & != "3.0.0"
  12. conduit-tls
  13. current_github < "0.6.4"
  14. current_slack < "0.3"
  15. datakit-ci >= "0.12.1"
  16. dns-certify < "5.0.0"
  17. dns-resolver >= "6.0.0"
  18. dropbox >= "0.2"
  19. git >= "2.0.0" & < "3.0.0"
  20. git-mirage >= "2.0.0" & < "3.0.0" | >= "3.6.0"
  21. git-unix = "2.0.0" | >= "2.1.1" & < "3.0.0"
  22. github >= "2.0.0" & < "3.0.0"
  23. github-unix < "3.1.0"
  24. gitlab-unix
  25. imaplet-lwt >= "0.1.8" & < "0.1.10" | >= "0.1.14"
  26. irc-client-tls < "0.7.1"
  27. letters < "0.3.3"
  28. links >= "0.9.6"
  29. mehari-mirage < "0.2"
  30. mirror
  31. octez-node < "16.0"
  32. opam-publish >= "0.3.5" & < "2.1.0"
  33. paf-cohttp = "0.0.5"
  34. quests
  35. sendmail >= "0.2.0" & < "0.4.1"
  36. sendmail-lwt < "0.4.1"
  37. slacko >= "0.13.0"
  38. syndic >= "1.5" & < "1.6.0"
  39. tezos-node != "9.0"
  40. tls-liquidsoap
  41. tls-mirage < "0.11.1"
  42. tlstunnel >= "0.1.3"
  43. wcs-api = "2017-05-26.02"

Conflicts

None

OCaml

Innovation. Community. Security.